Skip to main content
POST
/
api
/
rpc
/
{chainId}
Cosmos RPC Proxy
curl --request POST \
  --url https://router-api.initia.xyz/api/rpc/{chainId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": 1,
  "method": "abci_query",
  "params": {
    "data": "0a14...",
    "path": "/cosmos.bank.v1beta1.Query/AllBalances",
    "prove": false
  }
}
'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {}
}

Path Parameters

chainId
string
required

Cosmos chain ID to proxy the RPC call to.

Body

application/json
id
integer
required

JSON-RPC request ID.

method
enum<string>
required

RPC method name.

Available options:
status,
abci_query,
broadcast_tx_sync,
tx_search
params
object
required

RPC method parameters. The expected shape depends on method.

Response

Successful response

jsonrpc
string

JSON-RPC protocol version.

id
integer

Echoed request ID.

result
object

RPC method result.